::[Bat To Exe Converter]
::
::YAwzoRdxOk+EWAjk
::fBw5plQjdCuDJFuL4EQPKRJbcDKDMmK2CrQg/Pr+5KSOoUJ9
::YAwzuBVtJxjWCl3EqQJgSA==
::ZR4luwNxJguZRRnk
::Yhs/ulQjdF+5
::cxAkpRVqdFKZSDk=
::cBs/ulQjdF+5
::ZR41oxFsdFKZSDk=
::eBoioBt6dFKZSDk=
::cRo6pxp7LAbNWATEpCI=
::egkzugNsPRvcWATEpCI=
::dAsiuh18IRvcCxnZtBJQ
::cRYluBh/LU+EWAnk
::YxY4rhs+aU+JeA==
::cxY6rQJ7JhzQF1fEqQJQ
::ZQ05rAF9IBncCkqN+0xwdVs0
::ZQ05rAF9IAHYFVzEqQJQ
::eg0/rx1wNQPfEVWB+kM9LVsJDGQ=
::fBEirQZwNQPfEVWB+kM9LVsJDGQ=
::cRolqwZ3JBvQF1fEqQJQ
::dhA7uBVwLU+EWDk=
::YQ03rBFzNR3SWATElA==
::dhAmsQZ3MwfNWATElA==
::ZQ0/vhVqMQ3MEVWAtB9wSA==
::Zg8zqx1/OA3MEVWAtB9wSA==
::dhA7pRFwIByZRRnk
::Zh4grVQjdCuDJFuL4EQPKRJbcDKDMmK2CrQgyufvyaqro1gTV+o6asHewrHu
::YB416Ek+ZG8=
::
::
::978f952a14a936cc963da21a135fa983
@echo off
title "BotF Launcher"
mode 39,12
cd %~dp0
cls

:no-trek
if exist %trek.exe GOTO choose
echo --------------------------------------
echo -   trek.exe not found by Launcher   -
echo -      ========================      -
echo -   place Launcher in BotF folder    -
echo --------------------------------------
ping localhost -n 6 >NUL
cls
exit

:choose
echo -------------------------------------- 
echo - Star Trek: Birth of the Federation - 
echo -           ---------------          -
echo - 1) play without changes            - 
echo - 2) play with canon starting-seed   - 
echo - 3) play with MUDD (Cheats)         - 
echo - 4) Video: Game won                 - 
echo - 5) Video: Alliances formed         - 
echo - 6) Video: Planet destroyed         - 
echo - 7) Video: Game lost                - 
echo -------------------------------------- 
CHOICE /C 1234567 /M "- Enter your Choice ="

IF ERRORLEVEL 7 GOTO gorn
IF ERRORLEVEL 6 GOTO kirk
IF ERRORLEVEL 5 GOTO bones
IF ERRORLEVEL 4 GOTO picard
IF ERRORLEVEL 3 GOTO mudd 
IF ERRORLEVEL 2 GOTO seed
IF ERRORLEVEL 1 GOTO van

:van
cls
echo --------------------------------------
echo - Star Trek: Birth of the Federation -
echo -           ---------------          -
echo -          no commands added         -
echo --------------------------------------
ping localhost -n 5 >NUL
cd %~dp0
start trek.exe
exit

:seed
cls
echo --------------------------------------
echo - Star Trek: Birth of the Federation -
echo -           ---------------          -
echo -   play with canon starting-seed    -
echo -           ---------------          -
echo - adds seed 1705714077 to stbof.ini  -
echo --------------------------------------
cd %~dp0
ping localhost -n 4 >NUL
rem adds "STARTINGSEED=1705714077" to stbof.ini
echo STARTINGSEED=1705714077>> stbof.ini
ping localhost -n 2 >NUL
rem notepad stbof.ini
start trek.exe -n
exit

:mudd
cls
echo --------------------------------------
echo - Star Trek: Birth of the Federation -
echo -           ---------------          -
echo - F9  = 100%% Reseach to all          -
echo - F10 = adds 10.000 credits          -
echo - F11 = shows full map               -
echo --------------------------------------
ping localhost -n 5 >NUL
cd %~dp0
start trek.exe -MUDD
exit

:picard
cls
echo --------------------------------------
echo - Star Trek: Birth of the Federation -
echo -           ---------------          -
echo -           Video: Game won          -
echo --------------------------------------
ping localhost -n 5 >NUL
cd %~dp0
start trek.exe -picard
exit

:bones
cls
echo --------------------------------------
echo - Star Trek: Birth of the Federation -
echo -           ---------------          -
echo -      Video: Alliances formed       -
echo --------------------------------------
ping localhost -n 5 >NUL
cd %~dp0
start trek.exe -bones
exit

:kirk
cls
echo --------------------------------------
echo - Star Trek: Birth of the Federation -
echo -           ---------------          -
echo -       Video: Planet destroyed      -
echo --------------------------------------
ping localhost -n 5 >NUL
cd %~dp0
start trek.exe -kirk
exit

:gorn
cls
echo --------------------------------------
echo - Star Trek: Birth of the Federation -
echo -           ---------------          -
echo -           Video: Game lost         -
echo --------------------------------------
ping localhost -n 5 >NUL
cd %~dp0
start trek.exe -gorn
exit